Page MenuHomePhabricator

Add "Undo" link to Flow diff pages
Closed, ResolvedPublic

Description

Add an undo link to the diff pages.

Event Timeline

DannyH created this task.Jun 8 2015, 5:52 PM
DannyH raised the priority of this task from to High.
DannyH updated the task description. (Show Details)
DannyH moved this task to Near-Term Interest on the Collaboration-Team-Triage board.
DannyH added subscribers: DannyH, Mattflaschen-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2015, 5:52 PM
Mattflaschen-WMF renamed this task from "Undo" link is missing on diff pages to Add "Undo" link to diff pages.Jun 11 2015, 4:28 AM
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.

This is not a regression. It was never there.

DannyH added a comment.EditedJun 11 2015, 9:14 PM

Are you sure? It was part of T89198: R3. Add "undo" functionality to edited Flow posts (Russian), which we completed in March.

Legoktm renamed this task from Add "Undo" link to diff pages to Add "Undo" link to Flow diff pages.Jun 15 2015, 7:09 PM

Change 221616 had a related patch set uploaded (by Matthias Mullie):
Add undo-link to diff-page

https://gerrit.wikimedia.org/r/221616

Change 221616 merged by jenkins-bot:
Add undo-link to diff-page

https://gerrit.wikimedia.org/r/221616

  1. When the edit cannot be undone, the warning is displayed: "The edit could not be undone due to conflicting intermediate edits."

  • does not display diff - should we display it?
  • the entry can be edited & saved as a new edit

When the edit can be undone, the text says: "The edit can be undone. Please check the comparison below to verify that this is what you want to do, and then save the changes below to finish undoing the edit."

  • the entry can be edited & saved as a new edit
DannyH closed this task as Resolved.Jul 6 2015, 9:46 PM

Works on Beta